# Fetch List of Attached Release Groups for Orchestration Process

Retrieve a paginated list of release groups attached to orchestration processes with optional filtering

Endpoint: POST /rmg/api/orchestration/process/{identifier}/attachedReleaseGroups
Version: 1.0
Security: x-api-key

## Header parameters:

  - `Harness-Account` (string, required)
    Account Identifier

## Query parameters:

  - `orgIdentifier` (string)
    Organisation Identifier

  - `projectIdentifier` (string)
    Project Identifier

  - `page` (integer)

  - `size` (integer)

  - `sort` (array)
    Sort parameters as an array. Format: [field_name, direction] where direction is asc or desc.
Supported fields: start_ts, startTs, end_ts, endTs, last_updated_at, lastUpdatedAt, created_at, createdAt, name, identifier, status, type.
When used in query params, use format: sort=field_name&sort=direction (e.g., sort=start_ts&sort=desc).

  - `searchTerm` (string)
    Optional search string to filter releases by name.

## Path parameters:

  - `identifier` (string, required)
    The identifier of the orchestration process

## Request fields (application/json):

  - `filterOrgIdentifier` (string)
    Optional organization identifier to filter processes

  - `filterProjectIdentifier` (string)
    Optional project identifier to filter processes

## Response 200 fields (application/json):

  - `content` (array, required)

  - `content.id` (string, required)
    Unique identifier of the release group

  - `content.identifier` (string, required)
    Release group identifier

  - `content.name` (string, required)
    Name of the release group

  - `content.projectIdentifier` (string)
    Project identifier of the release group

  - `content.orgIdentifier` (string)
    Organization identifier of the release group

  - `content.accountIdentifier` (string, required)
    Account identifier of the release group

  - `pageable` (object, required)

  - `pageable.pageNumber` (integer)

  - `pageable.pageSize` (integer)

  - `pageable.sort` (object)

  - `pageable.sort.empty` (boolean)

  - `pageable.sort.sorted` (boolean)

  - `pageable.sort.unsorted` (boolean)

  - `pageable.offset` (integer)

  - `pageable.paged` (boolean)

  - `pageable.unpaged` (boolean)

  - `totalPages` (integer, required)

  - `last` (boolean, required)

  - `totalElements` (integer, required)

  - `size` (integer, required)

  - `number` (integer, required)

  - `sort` (object, required)

  - `numberOfElements` (integer, required)

  - `first` (boolean, required)

  - `empty` (boolean, required)

## Response 400 fields (application/json):

  - `message` (string, required)
    error message detail

  - `code` (string)
    canonical error code name
    Enum: "BAD_REQUEST", "UNAUTHORIZED", "FORBIDDEN", "NOT_FOUND", "INTERNAL_SERVER_ERROR"


